## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           perl-Mail-ListDetector
Version:        1.04
Release:        %{autorelease}
Summary:        Perl extension for detecting mailing list messages

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Mail-ListDetector
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTEVENS/Mail-ListDetector-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(Carp)
BuildRequires:  perl(Email::Abstract) >= 3.001
BuildRequires:  perl(Email::Valid) >= 0.182
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Mail::Internet) >= 2.04
BuildRequires:  perl(Test::More) >= 0.08
BuildRequires:  perl(URI) > 1.10
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter

%{?perl_default_filter}


%description
This module analyzes mail objects in any of the classes handled by
Email::Abstract. It returns a Mail::ListDetector::List object representing
the mailing list.


%prep
%autosetup -n Mail-ListDetector-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test


%files
%license LICENSE
%doc AUTHORS README
%{_mandir}/man3/Mail::ListDetector.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::AutoShare.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Base.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::CommuniGate.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::CommuniGatePro.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Ecartis.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Ezmlm.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Fml.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::GoogleGroups.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::LetterRip.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::ListSTAR.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Listar.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Listbox.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Listserv.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Lyris.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Mailman.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Majordomo.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Onelist.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::RFC2369.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::RFC2919.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Smartlist.3pm*
%{_mandir}/man3/Mail::ListDetector::Detector::Yahoogroups.3pm*
%{_mandir}/man3/Mail::ListDetector::List.3pm*
%dir %{perl_vendorlib}/Mail
%dir %{perl_vendorlib}/Mail/ListDetector
%{perl_vendorlib}/Mail/ListDetector.pm
%dir %{perl_vendorlib}/Mail/ListDetector/Detector
%{perl_vendorlib}/Mail/ListDetector/Detector/AutoShare.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Base.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/CommuniGate.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/CommuniGatePro.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Ecartis.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Ezmlm.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Fml.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/GoogleGroups.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/LetterRip.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/ListSTAR.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Listar.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Listbox.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Listserv.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Lyris.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Mailman.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Majordomo.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Onelist.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/RFC2369.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/RFC2919.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Smartlist.pm
%{perl_vendorlib}/Mail/ListDetector/Detector/Yahoogroups.pm
%{perl_vendorlib}/Mail/ListDetector/List.pm
%dir %{perl_vendorlib}/auto/Mail
%dir %{perl_vendorlib}/auto/Mail/ListDetector
%{perl_vendorlib}/auto/Mail/ListDetector/autosplit.ix


%changelog
## START: Generated by rpmautospec
* Thu Apr 17 2025 Peter Oliver <rpm@mavit.org.uk> - 1.04-1
- Uncommitted changes
## END: Generated by rpmautospec
